return {
	"zk-org/zk-nvim",
	version = "v0.3.0",
	config = function()
		require("zk").setup({
			picker = "telescope",

			lsp = {
				config = {
					name = "zk",
					cmd = { "zk", "lsp" },
					filetypes = { "markdown" },
				},

				auto_attach = {
					enabled = true,
					filetypes = { "markdown" }, -- moved to lsp.config above
				},
			},
		})
	end,
}
